<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PPERequester_MenuBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d73/class_p_p_e_requester___menu_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">PPERequester_MenuBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a441633f4d1cc951288da8c9e047be689"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html#a441633f4d1cc951288da8c9e047be689">OnStart</a> (<a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> par=null)</td></tr>
<tr class="separator:a441633f4d1cc951288da8c9e047be689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a441633f4d1cc951288da8c9e047be689"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html#a441633f4d1cc951288da8c9e047be689">OnStart</a> (<a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> par=null)</td></tr>
<tr class="separator:a441633f4d1cc951288da8c9e047be689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a441633f4d1cc951288da8c9e047be689"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html#a441633f4d1cc951288da8c9e047be689">OnStart</a> (<a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> par=null)</td></tr>
<tr class="separator:a441633f4d1cc951288da8c9e047be689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51d1c628e09ee25ab3d449f283c86e1b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html#a51d1c628e09ee25ab3d449f283c86e1b">SetBlurIntensity</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> gauss)</td></tr>
<tr class="separator:a51d1c628e09ee25ab3d449f283c86e1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a298e67f70bfc6f5e34c6e182ecc43581"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html#a298e67f70bfc6f5e34c6e182ecc43581">SetVignetteIntensity</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> vignette)</td></tr>
<tr class="separator:a298e67f70bfc6f5e34c6e182ecc43581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a441633f4d1cc951288da8c9e047be689"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html#a441633f4d1cc951288da8c9e047be689">OnStart</a> (<a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> par=null)</td></tr>
<tr class="separator:a441633f4d1cc951288da8c9e047be689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a441633f4d1cc951288da8c9e047be689"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html#a441633f4d1cc951288da8c9e047be689">OnStart</a> (<a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> par=null)</td></tr>
<tr class="separator:a441633f4d1cc951288da8c9e047be689"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a93532c66ed9665c0bd4e34468a1b3669"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html#a93532c66ed9665c0bd4e34468a1b3669">m_Gauss</a></td></tr>
<tr class="separator:a93532c66ed9665c0bd4e34468a1b3669"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d6/d41/_p_p_e_r_controller_disconnect_blur_8c_source.html#l00001">1</a> of file <a class="el" href="../../d6/d41/_p_p_e_r_controller_disconnect_blur_8c_source.html">PPERControllerDisconnectBlur.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a441633f4d1cc951288da8c9e047be689" name="a441633f4d1cc951288da8c9e047be689"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a441633f4d1cc951288da8c9e047be689">&#9670;&#160;</a></span>OnStart() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void PPERequester_MenuBase::OnStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>par</em> = <code>null</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d41/_p_p_e_r_controller_disconnect_blur_8c_source.html#l00003">3</a> of file <a class="el" href="../../d6/d41/_p_p_e_r_controller_disconnect_blur_8c_source.html">PPERControllerDisconnectBlur.c</a>.</p>

</div>
</div>
<a id="a441633f4d1cc951288da8c9e047be689" name="a441633f4d1cc951288da8c9e047be689"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a441633f4d1cc951288da8c9e047be689">&#9670;&#160;</a></span>OnStart() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void PPERequester_MenuBase::OnStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>par</em> = <code>null</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d60/_p_p_e_r_controls_blur_8c_source.html#l00005">5</a> of file <a class="el" href="../../d3/d60/_p_p_e_r_controls_blur_8c_source.html">PPERControlsBlur.c</a>.</p>

</div>
</div>
<a id="a441633f4d1cc951288da8c9e047be689" name="a441633f4d1cc951288da8c9e047be689"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a441633f4d1cc951288da8c9e047be689">&#9670;&#160;</a></span>OnStart() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void PPERequester_MenuBase::OnStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>par</em> = <code>null</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d29/_p_p_e_r_intro_chrom_abb_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d29/_p_p_e_r_intro_chrom_abb_8c_source.html">PPERIntroChromAbb.c</a>.</p>

</div>
</div>
<a id="a441633f4d1cc951288da8c9e047be689" name="a441633f4d1cc951288da8c9e047be689"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a441633f4d1cc951288da8c9e047be689">&#9670;&#160;</a></span>OnStart() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void PPERequester_MenuBase::OnStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>par</em> = <code>null</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/de4/_p_p_e_r_server_browser_8c_source.html#l00005">5</a> of file <a class="el" href="../../dd/de4/_p_p_e_r_server_browser_8c_source.html">PPERServerBrowser.c</a>.</p>

</div>
</div>
<a id="a441633f4d1cc951288da8c9e047be689" name="a441633f4d1cc951288da8c9e047be689"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a441633f4d1cc951288da8c9e047be689">&#9670;&#160;</a></span>OnStart() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void PPERequester_MenuBase::OnStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>par</em> = <code>null</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/de9/_p_p_e_r_tutorial_8c_source.html#l00005">5</a> of file <a class="el" href="../../de/de9/_p_p_e_r_tutorial_8c_source.html">PPERTutorial.c</a>.</p>

</div>
</div>
<a id="a51d1c628e09ee25ab3d449f283c86e1b" name="a51d1c628e09ee25ab3d449f283c86e1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51d1c628e09ee25ab3d449f283c86e1b">&#9670;&#160;</a></span>SetBlurIntensity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PPERequester_MenuBase::SetBlurIntensity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>gauss</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d6d/_p_p_e_r_menu_effects_8c_source.html#l00003">3</a> of file <a class="el" href="../../db/d6d/_p_p_e_r_menu_effects_8c_source.html">PPERMenuEffects.c</a>.</p>

</div>
</div>
<a id="a298e67f70bfc6f5e34c6e182ecc43581" name="a298e67f70bfc6f5e34c6e182ecc43581"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a298e67f70bfc6f5e34c6e182ecc43581">&#9670;&#160;</a></span>SetVignetteIntensity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PPERequester_MenuBase::SetVignetteIntensity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>vignette</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d6d/_p_p_e_r_menu_effects_8c_source.html#l00008">8</a> of file <a class="el" href="../../db/d6d/_p_p_e_r_menu_effects_8c_source.html">PPERMenuEffects.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a93532c66ed9665c0bd4e34468a1b3669" name="a93532c66ed9665c0bd4e34468a1b3669"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93532c66ed9665c0bd4e34468a1b3669">&#9670;&#160;</a></span>m_Gauss</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> PPERequester_MenuBase::m_Gauss</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d60/_p_p_e_r_controls_blur_8c_source.html#l00003">3</a> of file <a class="el" href="../../d3/d60/_p_p_e_r_controls_blur_8c_source.html">PPERControlsBlur.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/3_Game/PPEManager/Requesters/<a class="el" href="../../d6/d41/_p_p_e_r_controller_disconnect_blur_8c_source.html">PPERControllerDisconnectBlur.c</a></li>
<li>scripts/3_Game/PPEManager/Requesters/<a class="el" href="../../d3/d60/_p_p_e_r_controls_blur_8c_source.html">PPERControlsBlur.c</a></li>
<li>scripts/3_Game/PPEManager/Requesters/<a class="el" href="../../dd/de4/_p_p_e_r_server_browser_8c_source.html">PPERServerBrowser.c</a></li>
<li>scripts/3_Game/PPEManager/Requesters/<a class="el" href="../../de/de9/_p_p_e_r_tutorial_8c_source.html">PPERTutorial.c</a></li>
<li>scripts/3_Game/PPEManager/Requesters/<a class="el" href="../../de/d29/_p_p_e_r_intro_chrom_abb_8c_source.html">PPERIntroChromAbb.c</a></li>
<li>scripts/3_Game/PPEManager/Requesters/<a class="el" href="../../db/d6d/_p_p_e_r_menu_effects_8c_source.html">PPERMenuEffects.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d73/class_p_p_e_requester___menu_base.html">PPERequester_MenuBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
